|  | Home · All Classes · Modules

# Qt.InputMethodHints Class Reference
[QtCore module]

### Methods

- __init__ (self, InputMethodHints)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- InputMethodHints __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, InputMethodHints f)
- InputMethodHints __iand__ (self, int mask)
- int __int__ (self)
- InputMethodHints __invert__ (self)
- InputMethodHints __ior__ (self, InputMethodHints f)
- InputMethodHints __ixor__ (self, InputMethodHints f)
- bool __ne__ (self, InputMethodHints f)
- InputMethodHints __or__ (self, InputMethodHints f)
- InputMethodHints __xor__ (self, InputMethodHints f)

## Detailed Description

## Method Documentation

### InputMethodHints.__init__ (self, InputMethodHints)

### InputMethodHints.__init__ (self, int)

### InputMethodHints.__init__ (self)

### InputMethodHints InputMethodHints.__and__ (self, int mask)

### int InputMethodHints.__bool__ (self)

### bool InputMethodHints.__eq__ (self, InputMethodHints f)

### InputMethodHints InputMethodHints.__iand__ (self, int mask)

### int InputMethodHints.__int__ (self)

### InputMethodHints InputMethodHints.__invert__ (self)

### InputMethodHints InputMethodHints.__ior__ (self, InputMethodHints f)

### InputMethodHints InputMethodHints.__ixor__ (self, InputMethodHints f)

### bool InputMethodHints.__ne__ (self, InputMethodHints f)

### InputMethodHints InputMethodHints.__or__ (self, InputMethodHints f)

### InputMethodHints InputMethodHints.__xor__ (self, InputMethodHints f)